
<div *ngIf="theWidth>=1024" class="mainBody">
    <h1> به بانک فایل کیلید خوش آمدید</h1>
    <h3>انتخاب محدوده</h3>

    <div class="selection-Area">
        <div class="text-Container">
            <p>کجای شهر مورد نظرتان است؟</p>
            <form [formGroup]="form" (ngSubmit)="onSubmit()">
                <div class="form-Group">
                    <label class="float-Label" for="citySelect">شهر</label>
                    <select ngModel required formControlName="theCity" name="selectedCity" id="selectedCity" class="form-control">
                        <option value=""></option>
                        <option *ngFor="let city of selectedCity" [value]="city.id">{{city.city}}</option>
                    </select>
                </div>
                <div class="form-Group">
                    <label class="float-Label" for="neighbourSelect">محله</label>
                    <select ngModel required formControlName="theTown"  name="selectedTown" id="selectedTown"  (change)="ngOnChanges(topic)" class="form-control" #topic>
                        <option value=""></option>
                        <option *ngFor="let area of selectedTown" [value]="area.area" ><p style="height: 50px;">{{area.area}}</p></option>
                    </select>

                </div>
              
               <div class="chips-Show" *ngFor="let area of areaInputs"><p>{{area}}</p></div>

            </form>
    
        </div>
        <div class="main-Pic">
            <img src="https://uupload.ir/files/zvd2_00find.jpg" alt="">
        </div>
    
    </div>

    <div class="page-Btn">
        <button class="next"><a routerLink="/welcome">بعدی</a></button>
        <button class="return"> <a routerLink="/home">بازگشت</a></button>
    </div>
</div>







<div *ngIf="theWidth<1024" class="container">
    <div class="header">
        <app-mobile-header></app-mobile-header>
    </div>
    <div class="image">
        <img  src="https://uupload.ir/files/38jg_00mob2.jpg">
    </div>
    <div class="text-Container">
        <h1>انتخاب محدوده</h1>
        <h4>کجا های شهر مورد نظرتان است؟</h4>
        <form [formGroup]="form" (ngSubmit)="onSubmit()">
            <div class="form-Group">
                <label for="citySelect">شهر</label>
                <select ngModel required formControlName="theCity" name="selectedCity" id="selectedCity"  class="form-control">
                    <option value=""></option>
                    <option *ngFor="let city of selectedCity" [value]="city.id">{{city.city}}</option>
                </select>
            </div>
            <div class="form-Group">
                <label for="neighbourSelect">محله</label>
                <select ngModel required formControlName="theTown" name="selectedTown" id="selectedTown" (change)="ngOnChanges(top)" class="form-control" #top>
                    <option value=""></option>
                    <option *ngFor="let area of selectedTown" [value]="area.area" multiple>{{area.area}}</option>
                </select>
            </div>
            <div class="small-Show"><p>انتخاب {{customerSelect}}از  {{totalArea}} محله</p></div> 
          
            <div class="chips-Show" *ngFor="let area of areaInputs"><p>{{area}}</p></div>
            <br>
            <button type="submit" class="btn btn-primary"><a routerLink="/welcome">بعدی</a></button> 
            <button class="btn btn-return"><a routerLink="/home"> بازگشت</a></button>
              
        </form>
    </div>
</div>

